/**
 * 
 */
package org.gvsig.remoteClient.arcims.styling.renderers;

import java.util.ArrayList;
import java.util.Iterator;

import org.gvsig.remoteClient.arcims.utils.ServiceInfoTags;

/**
 * @author jsanz
 *
 */
public class ValueMapRenderer extends Renderer {
	public static final String TAG=	ServiceInfoTags.tVALUEMAPRENDERER;
	
	protected String lookupField;
	protected ArrayList values;
	
	/**
	 * @param lookupField
	 */
	public ValueMapRenderer(String lookupfield) {
		this.lookupField = lookupfield;
		this.values = new ArrayList();
	}

	/**
	 * @return Returns a Value
	 */
	public TypeValueMap getValue(int index) {
		return (TypeValueMap) values.get(index);
	}

	/**
	 * @return Returns a Value
	 */
	public ArrayList getValues() {
		return values;
	}
	
	/**
	 * @param value Add a value into the Array
	 */
	public boolean addType(TypeValueMap value){
		return values.add(value);
	}

	/**
	 * @return Number of types
	 */
	public int valuesCount() {
		return values.size();
	}
	
	/**
	 * Generates an XML representation of the Renderer
	 */
	public String toString(){
		StringBuffer sb = new StringBuffer();
		Iterator it = values.iterator();
		
		while(it.hasNext()) {
			sb.append(((TypeValueMap) it.next()).toString());
		}
		
		return "<"+ValueMapRenderer.TAG+ " lookupfield=\""+lookupField+"\">\r\n"+
				sb.toString()+
				"</"+ValueMapRenderer.TAG+">\r\n";
	}

	/**
	 * @return Returns the lookupField.
	 */
	public String getLookupfield() {
		return lookupField;
	}

	/**
	 * @param lookupField The lookupField to set.
	 */
	public void setLookupfield(String lookupfield) {
		this.lookupField = lookupfield;
	}

	/**
	 * @param values The values to set.
	 */
	public void setValues(ArrayList values) {
		this.values = values;
	}
}
