/**
 * 
 */
package org.gvsig.remoteClient.arcims.styling.symbols;

import org.gvsig.remoteClient.arcims.utils.ServiceInfoTags;

import com.iver.cit.gvsig.fmap.core.v02.FSymbol;

/**
 * @author jsanz
 *
 */
public class SimpleLineSymbol extends AbstractSymbol implements IArcIMSSymbol {

	public static final String TAG=	ServiceInfoTags.tSIMPLELINESYMBOL;

	private String color;
	private String width;
	private String type;
	private String captype;
	private String jointype;
	private String transparency;

	/**
	 * The constructor sets default values
	 */
	public SimpleLineSymbol() {
		color = "0,0,0";
		width = "0";
		type = SymbolUtils.LINE_TYPE_SOLID;
		captype = SymbolUtils.CAP_TYPE_ROUND;
		jointype = SymbolUtils.JOIN_TYPE_BEVEL;
		transparency = "1";
	}

	public String toString() {
		return "<"+TAG + getParam() + "/>\r\n";
	}

	protected String getParam() {
		String param = "";
		
		if (SymbolUtils.isVoid(color)) param +=" color=\""+color+"\"";
		if (SymbolUtils.isVoid(width)) param +=" width=\""+width+"\"";
		if (SymbolUtils.isVoid(type)) param +=" type=\""+type+"\"";
		if (SymbolUtils.isVoid(captype)) param +=" captype=\""+captype+"\"";
		if (SymbolUtils.isVoid(jointype)) param +=" jointype=\""+jointype+"\"";
		if (SymbolUtils.isVoid(transparency)) param +=" transparency=\""+transparency+"\"";

		return param;
	}
	
	/**
	 * @return Returns the color.
	 */
	public String getColor() {
		return color;
	}

	/**
	 * @param color The color to set.
	 */
	public void setColor(String color) {
		this.color = color;
	}

	/**
	 * @return Returns the type.
	 */
	public String getType() {
		return type;
	}

	/**
	 * @param type The type to set.
	 */
	public void setType(String type) {
		this.type = type;
	}

	/**
	 * @return Returns the width.
	 */
	public String getWidth() {
		return width;
	}

	/**
	 * @param width The width to set.
	 */
	public void setWidth(String width) {
		this.width = width;
	}

	/**
	 * @return Returns the captype.
	 */
	public String getCaptype() {
		return captype;
	}

	/**
	 * @param captype The captype to set.
	 */
	public void setCaptype(String captype) {
		this.captype = captype;
	}

	/**
	 * @return Returns the jointype.
	 */
	public String getJointype() {
		return jointype;
	}

	/**
	 * @param jointype The jointype to set.
	 */
	public void setJointype(String jointype) {
		this.jointype = jointype;
	}

	/**
	 * @return Returns the transparency.
	 */
	public String getTransparency() {
		return transparency;
	}

	/**
	 * @param transparency The transparency to set.
	 */
	public void setTransparency(String transparency) {
		this.transparency = transparency;
	}
	
	/* (non-Javadoc)
	 * @see org.gvsig.remoteClient.arcims.styling.symbols.IArcIMSSymbol#getFSymbol()
	 */
	public FSymbol getFSymbol() {
		return ArcImsFSymbolFactory.getFSymbol(this);
	}
}

