package org.gvsig.remoteClient.arcims.styling.symbols;

import org.gvsig.remoteClient.arcims.utils.ServiceInfoTags;

import com.iver.cit.gvsig.fmap.core.v02.FSymbol;

/**
 * @author jsanz
 *
 */
public class SimpleMarkerSymbol extends AbstractSymbol implements IArcIMSSymbol{

	public static final String TAG=	ServiceInfoTags.tSIMPLEMARKERSYMBOL;
	
	private String color;
	private String width;
	private String type;
	
	/**
	 * @param color
	 * @param width
	 * @param type
	 */
	public SimpleMarkerSymbol() {
		color = "0,0,0";
		width = "3";
		type = SymbolUtils.POINT_TYPE_CIRCLE;
	}

	public String toString() {
		return "<"+TAG + getParam() + "/>\r\n";
	}

	/**
	 * @return Returns the color.
	 */
	public String getColor() {
		return color;
	}

	/**
	 * @param color The color to set.
	 */
	public void setColor(String color) {
		this.color = color;
	}

	/**
	 * @return Returns the type.
	 */
	public String getType() {
		return type;
	}

	/**
	 * @param type The type to set.
	 */
	public void setType(String type) {
		this.type = type;
	}

	/**
	 * @return Returns the width.
	 */
	public String getWidth() {
		return width;
	}

	/**
	 * @param width The width to set.
	 */
	public void setWidth(String width) {
		this.width = width;
	}

	protected String getParam() {
		String param = "";
		
		if (SymbolUtils.isVoid(color)) param +=" color=\""+color+"\"";
		if (SymbolUtils.isVoid(width)) param +=" width=\""+width+"\"";
		if (SymbolUtils.isVoid(type)) param +=" type=\""+type+"\"";
	
		return param;
	}
	
	/* (non-Javadoc)
	 * @see org.gvsig.remoteClient.arcims.styling.symbols.IArcIMSSymbol#getFSymbol()
	 */
	public FSymbol getFSymbol() {
		return ArcImsFSymbolFactory.getFSymbol(this);
	}
}
