package org.gvsig.remoteClient.arcims.styling.symbols;

import org.gvsig.remoteClient.arcims.utils.ServiceInfoTags;

import com.iver.cit.gvsig.fmap.core.v02.FSymbol;

public class TextSymbol extends AbstractSymbol implements IArcIMSSymbol{
	public static final String TAG = ServiceInfoTags.tTEXTSYMBOL;
	
	protected String font;
	protected String fontColor;
	protected String fontSize;
	protected String fontStyle;

	public String toString() {
		return "<"+TAG + getParam() + "/>\r\n";
	}
	
	public TextSymbol() {
		font = "Arial";
		fontColor = "0,0,0";
		fontSize = "12";
		fontStyle = SymbolUtils.TEXT_TYPE_REGULAR;
	}
	/**
	 * @return Returns the font.
	 */
	public String getFont() {
		return font;
	}

	/**
	 * @param font The font to set.
	 */
	public void setFont(String font) {
		this.font = font;
	}

	/**
	 * @return Returns the fontColor.
	 */
	public String getFontColor() {
		return fontColor;
	}

	/**
	 * @param fontColor The fontColor to set.
	 */
	public void setFontColor(String fontColor) {
		this.fontColor = fontColor;
	}

	/**
	 * @return Returns the fontSize.
	 */
	public String getFontSize() {
		return fontSize;
	}

	/**
	 * @param fontSize The fontSize to set.
	 */
	public void setFontSize(String fontSize) {
		this.fontSize = fontSize;
	}

	/**
	 * @return Returns the fontStyle.
	 */
	public String getFontStyle() {
		return fontStyle;
	}

	/**
	 * @param fontStyle The fontStyle to set.
	 */
	public void setFontStyle(String fontStyle) {
		this.fontStyle = fontStyle;
	}

	protected String getParam() {
		String param = "";
		if (SymbolUtils.isVoid(font)) param += " font=\""+font+"\"";
		if (SymbolUtils.isVoid(fontColor)) param += " fontcolor=\""+fontColor+"\"";
		if (SymbolUtils.isVoid(fontSize)) param += " fontsize=\""+fontSize+"\"";
		if (SymbolUtils.isVoid(fontStyle)) param += " fontstyle=\""+fontStyle+"\"";
		
		return param;
	}
	
	/* (non-Javadoc)
	 * @see org.gvsig.remoteClient.arcims.styling.symbols.IArcIMSSymbol#getFSymbol()
	 */
	public FSymbol getFSymbol() {
		return ArcImsFSymbolFactory.getFSymbol(this);
	}
}
